UserType (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Enum UserType

- java.lang.Object
- - java.lang.Enum<UserType>
  - - com.marketfactory.messaging.UserType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserType>

      public enum UserType
      extends java.lang.Enum<UserType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `ADMIN` Admin users can (un)lock clients, send trade limit data, etc.
    `INTERNAL` If the user is meant for internal use only (APIServer, Rocky /Rocky-pass-through, etc.)
    `MARKET_MAKER` Users that make markets, receive orders, and do last-look .
    `MODEL` These users can't log in.
    `MONITORED` These users are monitored, they will not be able to connect if no admins are overlooking the system.
    `REGULAR` Regular users, that are not monitored.
    `SUPER` User that can do anything admin, regular, marketMaking, etc.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static UserType` | `get(byte value)`
    `static java.util.Collection<UserType>` | `validValues()`
    `static UserType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERNAL

          public static final UserType INTERNAL

      If the user is meant for internal use only (APIServer, Rocky /Rocky-pass-through, etc.)

    - #### REGULAR

          public static final UserType REGULAR

      Regular users, that are not monitored.

    - #### ADMIN

          public static final UserType ADMIN

      Admin users can (un)lock clients, send trade limit data, etc.

    - #### MONITORED

          public static final UserType MONITORED

      These users are monitored, they will not be able to connect if no admins are overlooking the system.

    - #### MODEL

          public static final UserType MODEL

      These users can't log in. They are specified in submitOrder and affect risk checks.

    - #### MARKET_MAKER

          public static final UserType MARKET_MAKER

      Users that make markets, receive orders, and do last-look .

    - #### SUPER

          public static final UserType SUPER

      User that can do anything admin, regular, marketMaking, etc. users can do.

    - #### _INVALID

          public static final UserType _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static UserType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserType c : UserType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static UserType get(byte value)

    - #### validValues

          public static java.util.Collection<UserType> validValues()